import { inject, InjectionToken } from '@angular/core';
import { Config } from '@core/config';
import { z } from 'zod';

export const TITLE_PREFIX = new InjectionToken(
  'isa.common.title-management.title-prefix',
  {
    providedIn: 'root',
    factory: () => {
      const config = inject(Config);
      return config.get('title', z.string().default('ISA'));
    },
  },
);
